<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register</title>
    <!-- Google Font: Source Sans Pro -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>


    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />

</head>

<body>
    <header>
        <nav>

            <ul class="d-flex justify-content-around align-items-center menu">
                <li>
                    <img src="./image/logo.svg" alt="">
                </li>
                <li><a href="./Home.html">Home</a></li>
                <li><a href="./LandHouse.html">Properties</a></li>
                <li><a href="./About.html">About</a></li>
                <li><a href="">Agency</a></li>
                <li><a href="">Blog</a></li>
                <li><a href="./Contact.html">Contact</a></li>
                <li>
                    <a href="./Login.html"><img src="./image/avater.png" alt=""></a>

                </li>
                <li>
                    <a href="./AddProperties.html">
                        <button id="btn-add-property" class="btn p-3">Add property</button>
                    </a>
                </li>
            </ul>
        </nav>
    </header>
    <div class="content text-white">

        <!-- contact -->

        <div class="about-us pt-5">
            <div class="row" style="width: 100%;">
                <div class="col-sm-12 text-center">
                    <p class="text-our-partner">Register</p>
                    <p class="text-partner">Register Now</p>

                    <p class="text-our-partner">Huge number of propreties availabe here for buy and sell also you can
                        find here co-living property as you like</p>



                </div>
                <img src="./image/bg-1.png" class="ml-3" alt="" style=" width: 100%; height: 400px;">
            </div>

        </div>

        <div class="login" style="color: #0b2c3d;">
            <div class="row" style="width: 100%;">
                <div class="col-sm-5 mt-5">
                    <p class="text-partner">Create Account</p>
                    <p class="text-our-partner">Huge number of propreties availabe here for buy, sell and Rent. Also you
                        find here co-living property, lots opportunity you have to choose here and enjoy huge discount
                        you can get</p>
                    <input type="text" id="username" class="mr-4 mt-3 inp-login form-control" placeholder="Username">
                    <input type="text" id="email" class="inp-login mt-4 form-control" placeholder="Email">
                    <input type="text" id="password" class="inp-login mt-4 form-control" placeholder="Password">
                    <input type="text" id="con-pass" class="inp-login mt-4 form-control" placeholder="Conform password">
                    <div class="text-register">
                        <input type="checkbox" name="" id="" class="mt-4">
                        I agree with the <a href="">Term & Conditions</a>
                    </div>
                    <div class="row mt-4">
                        <div class="col-sm-5">
                            <button id="btn-register" class="btn btn-contact mt-3 px-5">Register</button>
                        </div>
                        <div class="col-sm-7 mt-4">
                            <p class="text-register">Already have an Account? <a href="./Login.html">Login</a></p>
                        </div>


                    </div>
                </div>
                <div class="col-sm-1"></div>
                <div class="col-sm-6">
                    <img class="img-login" src="./image/image2 (1).png" alt="" width="100%">
                </div>
            </div>



        </div>

        <div class="row mb-5 mx-3 ml-5 mt-5">
            <div class="col-sm-4">
                <div class="card card-contact py-3 px-4" style="width: 20rem;">
                    <div class="d-flex justify-content-start">
                        <img src="./image/map.png" alt="" class="mt-4 mx-4" width="40px" height="55px">
                        <div class="">
                            <p class="text-partner">Address</p>
                            <p class="text-our-partner">2104 Charmaine Lane Amarillo, New York</p>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-4">
                <div class="card card-contact py-3 px-4" style="width: 20rem">
                    <div class="d-flex justify-content-start">
                        <img src="./image/phone.png" alt="" class="mt-4 mx-4" width="40px" height="55px">
                        <div class="">
                            <p class="text-partner">Phone</p>
                            <p class="text-our-partner">2104 Charmaine Lane Amarillo, New York</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-4">
                <div class="card card-contact py-3 px-4" style="width: 20rem">
                    <div class="d-flex justify-content-start">
                        <img src="./image/mail.png" alt="" class="mt-4 mx-4" width="40px" height="55px">
                        <div class="">
                            <p class="text-partner">Email</p>
                            <p class="text-our-partner">2104 Charmaine Lane Amarillo, New York</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>

    </div>

    <footer>
        <div class="row footer">
            <div class="col-sm-3">
                <img src="./image/logo.svg" alt="">
                <p class="mt-4">Properties are most budget friendly so you have are find opportunity is main
                    responsibility to
                    clients</p>
                <p>© CodeCarnival. All Rights Reserved - Privacy Policy</p>
            </div>

            <div class="col-sm-3 pl-5 ml-5 foot-a">
                <p class="foot-title ">Information.</p>
                <p><a class="" href="">About us</a></p>
                <p><a href="">Properties</a></p>
                <p><a class="" href="">Careers</a></p>
                <p><a href="">Payment</a></p>
                <p><a href="">Blog Post</a></p>






            </div>
            <div class="col-sm-3 foot-a ">
                <p class="foot-title">Support.</p>
                <p><a href="">Add Properties</a></p>
                <p> <a href="">Times & Conditions</a></p>
                <p> <a href="">Help Line</a></p>
                <p><a href="">Our Agents</a></p>
                <p> <a href="">Features</a></p>



            </div>
            <div class="col-sm-2">
                <p class="foot-title">Address.</p>
                <p>2104 Charmaine Lane Amarillo, New York</p>
            </div>


        </div>



    </footer>





</body>
<script>
    $(document).ready(function () {
        $("#btn-register").on("click", function () {
            onBtnRegister();
        })
        // var token = localStorage.getItem("token");
        // console.log("helloo" + token)
    })
    function onBtnRegister() {
        var vObj = {
            username: "",
            password: "",
            email: "",
        }
        vObj.username = $("#username").val();
        vObj.password = $("#password").val();
        vObj.email = $("#email").val();
        // VCheck();

        console.log(vObj);
        $.ajax({
            url: "http://localhost:8081/api/auth/signup",
            type: "POST",
            data: JSON.stringify(vObj),
            datatype: "application/json",
            contentType: "application/json; charset=utf-8",
            success: function (paramRes) {

                // var token = paramRes.accessToken;
                // var url = "http://localhost:5500/Home.html?access_token=" + token;
                // window.location.href = url;

                console.log(paramRes);
                alert(paramRes.message);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })
    }
</script>




</html>